# eric4.Plugins.WizardPlugins.PyRegExpWizard.PyRegExpWizardDialog

Module implementing the Python re wizard dialog.

### Global Attributes

None

### Classes

PyRegExpWizardDialog | Class for the dialog variant.
PyRegExpWizardWidget | Class implementing the Python re wizard dialog.
PyRegExpWizardWindow | Main window class for the standalone dialog.

### Functions

None

## PyRegExpWizardDialog

Class for the dialog variant.

### Derived from

QDialog

### Class Attributes

None

### Class Methods

None

### Methods

PyRegExpWizardDialog | Constructor
getCode | Public method to get the source code.

### Static Methods

None

#### PyRegExpWizardDialog (Constructor)

PyRegExpWizardDialog(parent = None, fromEric = True)

Constructor

parent
  parent widget (QWidget)
fromEric
  flag indicating a call from within eric4

#### PyRegExpWizardDialog.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

Up

## PyRegExpWizardWidget

Class implementing the Python re wizard dialog.

### Derived from

QWidget, Ui_PyRegExpWizardDialog

### Class Attributes

None

### Class Methods

None

### Methods

PyRegExpWizardWidget | Constructor
__insertString | Private method to insert a string into line edit and move cursor.
getCode | Public method to get the source code.
on_altnButton_clicked | Private slot to handle the alternatives toolbutton.
on_anycharButton_clicked | Private slot to handle the any character toolbutton.
on_beglineButton_clicked | Private slot to handle the begin line toolbutton.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_charButton_clicked | Private slot to handle the characters toolbutton.
on_commentButton_clicked | Private slot to handle the comment toolbutton.
on_copyButton_clicked | Private slot to copy the regexp string into the clipboard.
on_endlineButton_clicked | Private slot to handle the end line toolbutton.
on_executeButton_clicked | Private slot to execute the entered regexp on the test text.
on_groupButton_clicked | Private slot to handle the group toolbutton.
on_loadButton_clicked | Private slot to load a regexp from a file.
on_namedGroupButton_clicked | Private slot to handle the named group toolbutton.
on_namedReferenceButton_clicked | Private slot to handle the named reference toolbutton.
on_neglookaheadButton_clicked | Private slot to handle the negative lookahead toolbutton.
on_neglookbehindButton_clicked | Private slot to handle the negative lookbehind toolbutton.
on_nextButton_clicked | Private slot to find the next match.
on_nonGroupButton_clicked | Private slot to handle the non group toolbutton.
on_nonwordboundButton_clicked | Private slot to handle the non word boundary toolbutton.
on_poslookaheadButton_clicked | Private slot to handle the positive lookahead toolbutton.
on_poslookbehindButton_clicked | Private slot to handle the positive lookbehind toolbutton.
on_py2Button_toggled | Private slot called when the Python version was selected.
on_redoButton_clicked | Private slot to handle the redo action.
on_regexpTextEdit_textChanged | Private slot called when the regexp changes.
on_repeatButton_clicked | Private slot to handle the repeat toolbutton.
on_saveButton_clicked | Private slot to save the regexp to a file.
on_undoButton_clicked | Private slot to handle the undo action.
on_validateButton_clicked | Private slot to validate the entered regexp.
on_wordboundButton_clicked | Private slot to handle the word boundary toolbutton.

### Static Methods

None

#### PyRegExpWizardWidget (Constructor)

PyRegExpWizardWidget(parent = None, fromEric = True)

Constructor

parent
  parent widget (QWidget)
fromEric
  flag indicating a call from within eric4

#### PyRegExpWizardWidget.__insertString

__insertString(s, steps = 0)

Private method to insert a string into line edit and move cursor.

s
  string to be inserted into the regexp line edit (string or QString)
steps
  number of characters to move the cursor (integer). Negative steps moves cursor back, positives forward.

#### PyRegExpWizardWidget.getCode

getCode(indLevel, indString)

Public method to get the source code.

indLevel
  indentation level (int)
indString
  string used for indentation (space or tab) (string)

Returns:
  generated code (string)

#### PyRegExpWizardWidget.on_altnButton_clicked

on_altnButton_clicked()

Private slot to handle the alternatives toolbutton.

#### PyRegExpWizardWidget.on_anycharButton_clicked

on_anycharButton_clicked()

Private slot to handle the any character toolbutton.

#### PyRegExpWizardWidget.on_beglineButton_clicked

on_beglineButton_clicked()

Private slot to handle the begin line toolbutton.

#### PyRegExpWizardWidget.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### PyRegExpWizardWidget.on_charButton_clicked

on_charButton_clicked()

Private slot to handle the characters toolbutton.

#### PyRegExpWizardWidget.on_commentButton_clicked

on_commentButton_clicked()

Private slot to handle the comment toolbutton.

#### PyRegExpWizardWidget.on_copyButton_clicked

on_copyButton_clicked()

Private slot to copy the regexp string into the clipboard.

This slot is only available, if not called from within eric4.

#### PyRegExpWizardWidget.on_endlineButton_clicked

on_endlineButton_clicked()

Private slot to handle the end line toolbutton.

#### PyRegExpWizardWidget.on_executeButton_clicked

on_executeButton_clicked(startpos = 0)

Private slot to execute the entered regexp on the test text.

This slot will execute the entered regexp on the entered test data and will display the result in the table part of the dialog.

startpos
  starting position for the regexp matching

#### PyRegExpWizardWidget.on_groupButton_clicked

on_groupButton_clicked()

Private slot to handle the group toolbutton.

#### PyRegExpWizardWidget.on_loadButton_clicked

on_loadButton_clicked()

Private slot to load a regexp from a file.

#### PyRegExpWizardWidget.on_namedGroupButton_clicked

on_namedGroupButton_clicked()

Private slot to handle the named group toolbutton.

#### PyRegExpWizardWidget.on_namedReferenceButton_clicked

on_namedReferenceButton_clicked()

Private slot to handle the named reference toolbutton.

#### PyRegExpWizardWidget.on_neglookaheadButton_clicked

on_neglookaheadButton_clicked()

Private slot to handle the negative lookahead toolbutton.

#### PyRegExpWizardWidget.on_neglookbehindButton_clicked

on_neglookbehindButton_clicked()

Private slot to handle the negative lookbehind toolbutton.

#### PyRegExpWizardWidget.on_nextButton_clicked

on_nextButton_clicked()

Private slot to find the next match.

#### PyRegExpWizardWidget.on_nonGroupButton_clicked

on_nonGroupButton_clicked()

Private slot to handle the non group toolbutton.

#### PyRegExpWizardWidget.on_nonwordboundButton_clicked

on_nonwordboundButton_clicked()

Private slot to handle the non word boundary toolbutton.

#### PyRegExpWizardWidget.on_poslookaheadButton_clicked

on_poslookaheadButton_clicked()

Private slot to handle the positive lookahead toolbutton.

#### PyRegExpWizardWidget.on_poslookbehindButton_clicked

on_poslookbehindButton_clicked()

Private slot to handle the positive lookbehind toolbutton.

#### PyRegExpWizardWidget.on_py2Button_toggled

on_py2Button_toggled(checked)

Private slot called when the Python version was selected.

checked
  state of the Python 2 button (boolean)

#### PyRegExpWizardWidget.on_redoButton_clicked

on_redoButton_clicked()

Private slot to handle the redo action.

#### PyRegExpWizardWidget.on_regexpTextEdit_textChanged

on_regexpTextEdit_textChanged()

Private slot called when the regexp changes.

#### PyRegExpWizardWidget.on_repeatButton_clicked

on_repeatButton_clicked()

Private slot to handle the repeat toolbutton.

#### PyRegExpWizardWidget.on_saveButton_clicked

on_saveButton_clicked()

Private slot to save the regexp to a file.

#### PyRegExpWizardWidget.on_undoButton_clicked

on_undoButton_clicked()

Private slot to handle the undo action.

#### PyRegExpWizardWidget.on_validateButton_clicked

on_validateButton_clicked()

Private slot to validate the entered regexp.

#### PyRegExpWizardWidget.on_wordboundButton_clicked

on_wordboundButton_clicked()

Private slot to handle the word boundary toolbutton.

Up

## PyRegExpWizardWindow

Main window class for the standalone dialog.

### Derived from

KQMainWindow

### Class Attributes

None

### Class Methods

None

### Methods

PyRegExpWizardWindow | Constructor

### Static Methods

None

#### PyRegExpWizardWindow (Constructor)

PyRegExpWizardWindow(parent = None)

Constructor

parent
  reference to the parent widget (QWidget)

Up